Subject: bug#67715: 28.2; Minibuffer content is sometimes unexpectedly partially hidden

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Dec 2023 13:18:02 +0200

> From: Markus Triska <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 09 Dec 2023 10:04:18 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't know.  You haven't actually explained what you are trying to
> > accomplish and why you use this strange way of accomplishing it.  Why
> > not, for example, use the minibuffer-prompt face instead to show the
> > prompt in a different typeface?
> 
> In order to automatically explain certain Emacs features, I am using
> Emacs to simulate interactions that would take place if the user pressed
> certain keys. For this reason, I have a program that inserts text in the
> minibuffer, as if the user had typed the text. In the Emacs versions I
> mentioned, this works as expected: The minibuffer resizes as if the user
> had typed the text. I noticed that in Emacs versions starting from 28.2,
> this no longer works. For my use case, this is a regression which I
> filed as an issue. I filed the issue by following the instructions:
> 
>     Please describe exactly what actions triggered the bug,
>     and the precise symptoms of the bug. If you can, give a recipe
>     starting from 'emacs -Q':
> 
> I kept the issue to a smallest fragment that exhibits the regression,
> and it comes as a surprise to me that you now say "You haven't actually
> explained what you are trying to accomplish and why you use this strange
> way of accomplishing it", because such an explanation was never asked
> for and also the instructions for filing an issue do not mention it.

There's nothing wrong with your original report.  I asked for
additional details to understand better what you are trying tio
accomplish, in the hope that it will facilitate ideas for working
around the problem.

I'm adding Martin to this discussion in the hope that he could have
some ideas.